<?php
/**
 * Custom Functions.
 *
 * @package Elegant Jewellery
 */

if( !function_exists( 'elegant_jewellery_fonts_url' ) ) :

    //Google Fonts URL
    function elegant_jewellery_fonts_url(){

        $elegant_jewellery_font_families = array(
            'Montserrat:ital,wght@0,100..900;1,100..900', //   font-family: "Montserrat", sans-serif;
        );

        $elegant_jewellery_fonts_url = add_query_arg( array(
            'family' => implode( '&family=', $elegant_jewellery_font_families ),
            'display' => 'swap',
        ), 'https://fonts.googleapis.com/css2' );

        return esc_url_raw($elegant_jewellery_fonts_url);
    }

endif;

if ( ! function_exists( 'elegant_jewellery_sub_menu_toggle_button' ) ) :

    function elegant_jewellery_sub_menu_toggle_button( $elegant_jewellery_args, $elegant_jewellery_item, $depth ) {

        // Add sub menu toggles to the main menu with toggles
        if ( $elegant_jewellery_args->theme_location == 'elegant-jewellery-primary-menu' && isset( $elegant_jewellery_args->show_toggles ) ) {
            
            // Wrap the menu item link contents in a div, used for positioning
            $elegant_jewellery_args->before = '<div class="submenu-wrapper">';
            $elegant_jewellery_args->after  = '';

            // Add a toggle to items with children
            if ( in_array( 'menu-item-has-children', $elegant_jewellery_item->classes ) ) {

                $toggle_target_string = '.menu-item.menu-item-' . $elegant_jewellery_item->ID . ' > .sub-menu';

                // Add the sub menu toggle
                $elegant_jewellery_args->after .= '<button type="button" class="theme-aria-button submenu-toggle" data-toggle-target="' . $toggle_target_string . '" data-toggle-type="slidetoggle" data-toggle-duration="250" aria-expanded="false"><span class="btn__content" tabindex="-1"><span class="screen-reader-text">' . esc_html__( 'Show sub menu', 'elegant-jewellery' ) . '</span>' . elegant_jewellery_get_theme_svg( 'chevron-down' ) . '</span></button>';

            }

            // Close the wrapper
            $elegant_jewellery_args->after .= '</div><!-- .submenu-wrapper -->';
            // Add sub menu icons to the main menu without toggles (the fallback menu)

        }elseif( $elegant_jewellery_args->theme_location == 'elegant-jewellery-primary-menu' ) {

            if ( in_array( 'menu-item-has-children', $elegant_jewellery_item->classes ) ) {

                $elegant_jewellery_args->before = '<div class="link-icon-wrapper">';
                $elegant_jewellery_args->after  = elegant_jewellery_get_theme_svg( 'chevron-down' ) . '</div>';

            } else {

                $elegant_jewellery_args->before = '';
                $elegant_jewellery_args->after  = '';

            }

        }

        return $elegant_jewellery_args;

    }

endif;

add_filter( 'nav_menu_item_args', 'elegant_jewellery_sub_menu_toggle_button', 10, 3 );

if ( ! function_exists( 'elegant_jewellery_the_theme_svg' ) ):
    
    function elegant_jewellery_the_theme_svg( $elegant_jewellery_svg_name, $elegant_jewellery_return = false ) {

        if( $elegant_jewellery_return ){

            return elegant_jewellery_get_theme_svg( $elegant_jewellery_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in elegant_jewellery_get_theme_svg();.

        }else{

            echo elegant_jewellery_get_theme_svg( $elegant_jewellery_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in elegant_jewellery_get_theme_svg();.

        }
    }

endif;

if ( ! function_exists( 'elegant_jewellery_get_theme_svg' ) ):

    function elegant_jewellery_get_theme_svg( $elegant_jewellery_svg_name ) {

        // Make sure that only our allowed tags and attributes are included.
        $elegant_jewellery_svg = wp_kses(
            elegant_jewellery_SVG_Icons::get_svg( $elegant_jewellery_svg_name ),
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
                'polyline' => array(
                    'fill'      => true,
                    'points'    => true,
                ),
                'line' => array(
                    'fill'      => true,
                    'x1'      => true,
                    'x2' => true,
                    'y1'    => true,
                    'y2' => true,
                ),
            )
        );
        if ( ! $elegant_jewellery_svg ) {
            return false;
        }
        return $elegant_jewellery_svg;

    }

endif;

if( !function_exists( 'elegant_jewellery_post_category_list' ) ) :

    // Post Category List.
    function elegant_jewellery_post_category_list( $elegant_jewellery_select_cat = true ){

        $elegant_jewellery_post_cat_lists = get_categories(
            array(
                'hide_empty' => '0',
                'exclude' => '1',
            )
        );

        $elegant_jewellery_post_cat_cat_array = array();
        if( $elegant_jewellery_select_cat ){

            $elegant_jewellery_post_cat_cat_array[''] = esc_html__( '-- Select Category --','elegant-jewellery' );

        }

        foreach ( $elegant_jewellery_post_cat_lists as $elegant_jewellery_post_cat_list ) {

            $elegant_jewellery_post_cat_cat_array[$elegant_jewellery_post_cat_list->slug] = $elegant_jewellery_post_cat_list->name;

        }

        return $elegant_jewellery_post_cat_cat_array;
    }

endif;

if( !function_exists('elegant_jewellery_single_post_navigation') ):

    function elegant_jewellery_single_post_navigation(){

        $elegant_jewellery_default = elegant_jewellery_get_default_theme_options();
        $elegant_jewellery_twp_navigation_type = esc_attr( get_post_meta( get_the_ID(), 'twp_disable_ajax_load_next_post', true ) );
        $elegant_jewellery_current_id = '';
        $article_wrap_class = '';
        global $post;
        $elegant_jewellery_current_id = $post->ID;
        if( $elegant_jewellery_twp_navigation_type == '' || $elegant_jewellery_twp_navigation_type == 'global-layout' ){
            $elegant_jewellery_twp_navigation_type = get_theme_mod('twp_navigation_type', $elegant_jewellery_default['twp_navigation_type']);
        }

        if( $elegant_jewellery_twp_navigation_type != 'no-navigation' && 'post' === get_post_type() ){

            if( $elegant_jewellery_twp_navigation_type == 'theme-normal-navigation' ){ ?>

                <div class="navigation-wrapper">
                    <?php
                    // Previous/next post navigation.
                    the_post_navigation(array(
                        'prev_text' => '<span class="arrow" aria-hidden="true">' . elegant_jewellery_the_theme_svg('arrow-left',$elegant_jewellery_return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Previous post:', 'elegant-jewellery') . '</span><span class="post-title">%title</span>',
                        'next_text' => '<span class="arrow" aria-hidden="true">' . elegant_jewellery_the_theme_svg('arrow-right',$elegant_jewellery_return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Next post:', 'elegant-jewellery') . '</span><span class="post-title">%title</span>',
                    )); ?>
                </div>
                <?php

            }else{

                $elegant_jewellery_next_post = get_next_post();
                if( isset( $elegant_jewellery_next_post->ID ) ){

                    $elegant_jewellery_next_post_id = $elegant_jewellery_next_post->ID;
                    echo '<div loop-count="1" next-post="' . absint( $elegant_jewellery_next_post_id ) . '" class="twp-single-infinity"></div>';

                }
            }

        }

    }

endif;

add_action( 'elegant_jewellery_navigation_action','elegant_jewellery_single_post_navigation',30 );

if( !function_exists('elegant_jewellery_content_offcanvas') ):

    // Offcanvas Contents
    function elegant_jewellery_content_offcanvas(){ ?>

        <div id="offcanvas-menu">
            <div class="offcanvas-wraper">
                <div class="close-offcanvas-menu">
                    <div class="offcanvas-close">
                        <a href="javascript:void(0)" class="skip-link-menu-start"></a>
                        <button type="button" class="button-offcanvas-close">
                            <span class="offcanvas-close-label">
                                <?php echo esc_html__('Close', 'elegant-jewellery'); ?>
                            </span>
                        </button>
                    </div>
                </div>
                <div id="primary-nav-offcanvas" class="offcanvas-item offcanvas-main-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'elegant-jewellery'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if (has_nav_menu('elegant-jewellery-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'elegant-jewellery-primary-menu',
                                        'show_toggles' => true,
                                    )
                                );
                            }else{

                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'show_toggles' => true,
                                        'walker' => new Elegant_Jewellery_Walker_Page(),
                                    )
                                );
                            }
                            ?>
                        </ul>
                    </nav><!-- .primary-menu-wrapper -->
                </div>
                <a href="javascript:void(0)" class="skip-link-menu-end"></a>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'elegant_jewellery_before_footer_content_action','elegant_jewellery_content_offcanvas',30 );

if( !function_exists('elegant_jewellery_footer_content_widget') ):

    function elegant_jewellery_footer_content_widget(){
        
        $elegant_jewellery_default = elegant_jewellery_get_default_theme_options();
        
        $elegant_jewellery_footer_column_layout = absint(get_theme_mod('elegant_jewellery_footer_column_layout', $elegant_jewellery_default['elegant_jewellery_footer_column_layout']));
        $elegant_jewellery_footer_sidebar_class = 12;
        
        if($elegant_jewellery_footer_column_layout == 2) {
            $elegant_jewellery_footer_sidebar_class = 6;
        }
        
        if($elegant_jewellery_footer_column_layout == 3) {
            $elegant_jewellery_footer_sidebar_class = 4;
        }
        ?>
        
        <?php if ( get_theme_mod('elegant_jewellery_display_footer', true) == true ) : ?>
            <div class="footer-widgetarea">
                <div class="wrapper">
                    <div class="column-row">
                    
                        <?php for ($i = 0; $i < $elegant_jewellery_footer_column_layout; $i++) : ?>
                            
                            <div class="column <?php echo 'column-' . absint($elegant_jewellery_footer_sidebar_class); ?> column-sm-12">
                                
                                <?php 
                                // If no widgets are assigned, display default widgets
                                if ( ! is_active_sidebar( 'elegant-jewellery-footer-widget-' . $i ) ) : 

                                    if ($i === 0) : ?>
                                        <div id="media_image-3" class="widget widget_media_image">
                                            <img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/logo.png'); ?>" alt="<?php echo esc_attr__( 'Footer Image', 'elegant-jewellery' ); ?>" style="max-width: 100%; height: auto;">
                                        </div>
                                        <div id="text-3" class="widget widget_text">
                                            <div class="textwidget">
                                                <p class="widget_text">
                                                    <?php esc_html_e('The Elegant Jewellery Theme is designed for users who want a focused, visually appealing, and conversion-driven website without unnecessary complexity. Ideal for startups, product launches, digital services, and promotional campaigns, this theme helps you present your message clearly while keeping visitors engaged from the first scroll.', 'elegant-jewellery'); ?>
                                                </p>
                                            </div>
                                        </div>

                                    <?php elseif ($i === 1) : ?>
                                        <div id="pages-2" class="widget widget_pages">
                                            <h2 class="widget-title"><?php esc_html_e('Calendar', 'elegant-jewellery'); ?></h2>
                                            <?php get_calendar(); ?>
                                        </div>

                                    <?php elseif ($i === 2) : ?>
                                        <div id="search-2" class="widget widget_search">
                                            <h2 class="widget-title"><?php esc_html_e('Enter Keywords Here', 'elegant-jewellery'); ?></h2>
                                            <?php get_search_form(); ?>
                                        </div>
                                    <?php endif; 
                                    
                                else :
                                    // Display dynamic sidebar widget if assigned
                                    dynamic_sidebar('elegant-jewellery-footer-widget-' . $i);
                                endif;
                                ?>
                                
                            </div>
                            
                        <?php endfor; ?>

                    </div>
                </div>
            </div>
        <?php endif; ?> 

    <?php
    }

endif;

add_action( 'elegant_jewellery_footer_content_action', 'elegant_jewellery_footer_content_widget', 10 );

if( !function_exists('elegant_jewellery_footer_content_info') ):

    /**
     * Footer Copyright Area
    **/
    function elegant_jewellery_footer_content_info(){

        $elegant_jewellery_default = elegant_jewellery_get_default_theme_options(); ?>
        <div class="site-info">
            <div class="wrapper">
                <div class="column-row">

                    <div class="column column-9">
                        <div class="footer-credits">

                            <div class="footer-copyright">

                                <?php
                                $elegant_jewellery_footer_copyright_text = wp_kses_post( get_theme_mod( 'elegant_jewellery_footer_copyright_text', $elegant_jewellery_default['elegant_jewellery_footer_copyright_text'] ) );
                                    echo esc_html( $elegant_jewellery_footer_copyright_text );
                                    echo '<br>';

                                    echo esc_html__('Theme: ', 'elegant-jewellery') . esc_html__('Elegant Jewellery  ', 'elegant-jewellery') . esc_html__(' By ', 'elegant-jewellery') . '  <span>' . esc_html__('OMEGA ', 'elegant-jewellery') . '</span>';
                                    echo esc_html__('Powered by ', 'elegant-jewellery') . '<a href="' . esc_url('https://wordpress.org') . '" title="' . esc_attr__('WordPress', 'elegant-jewellery') . '" target="_blank"><span>' . esc_html__('WordPress.', 'elegant-jewellery') . '</span></a>';
                                 ?>
                            </div>
                        </div>
                    </div>


                    <div class="column column-3 align-text-right">
                        <a class="to-the-top" href="#site-header">
                            <span class="to-the-top-long">
                                <?php if ( get_theme_mod('elegant_jewellery_enable_to_the_top', true) == true ) : ?>
                                    <?php
                                    $elegant_jewellery_to_the_top_text = get_theme_mod( 'elegant_jewellery_to_the_top_text', __( 'To the Top', 'elegant-jewellery' ) );
                                    printf( 
                                        wp_kses( 
                                            /* translators: %s is the arrow icon markup */
                                            '%s %s', 
                                            array( 'span' => array( 'class' => array(), 'aria-hidden' => array() ) ) 
                                        ), 
                                        esc_html( $elegant_jewellery_to_the_top_text ),
                                        '<span class="arrow" aria-hidden="true">&uarr;</span>' 
                                    );
                                    ?>
                                <?php endif; ?>
                            </span>
                        </a>

                    </div>
                </div>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'elegant_jewellery_footer_content_action','elegant_jewellery_footer_content_info',20 );

if (!function_exists('elegant_jewellery_post_format_icon')):

    // Post Format Icon.
    function elegant_jewellery_post_format_icon() {

        $elegant_jewellery_format = get_post_format(get_the_ID()) ?: 'standard';
        $elegant_jewellery_icon = '';
        $elegant_jewellery_title = '';
        if( $elegant_jewellery_format == 'video' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'video' );
            $elegant_jewellery_title = esc_html__('Video','elegant-jewellery');
        }elseif( $elegant_jewellery_format == 'audio' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'audio' );
            $elegant_jewellery_title = esc_html__('Audio','elegant-jewellery');
        }elseif( $elegant_jewellery_format == 'gallery' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'gallery' );
            $elegant_jewellery_title = esc_html__('Gallery','elegant-jewellery');
        }elseif( $elegant_jewellery_format == 'quote' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'quote' );
            $elegant_jewellery_title = esc_html__('Quote','elegant-jewellery');
        }elseif( $elegant_jewellery_format == 'image' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'image' );
            $elegant_jewellery_title = esc_html__('Image','elegant-jewellery');
        } elseif( $elegant_jewellery_format == 'link' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'link' );
            $elegant_jewellery_title = esc_html__('Link','elegant-jewellery');
        } elseif( $elegant_jewellery_format == 'status' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'status' );
            $elegant_jewellery_title = esc_html__('Status','elegant-jewellery');
        } elseif( $elegant_jewellery_format == 'aside' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'aside' );
            $elegant_jewellery_title = esc_html__('Aside','elegant-jewellery');
        } elseif( $elegant_jewellery_format == 'chat' ){
            $elegant_jewellery_icon = elegant_jewellery_get_theme_svg( 'chat' );
            $elegant_jewellery_title = esc_html__('Chat','elegant-jewellery');
        }
        
        if (!empty($elegant_jewellery_icon)) { ?>
            <div class="theme-post-format">
                <span class="post-format-icom"><?php echo elegant_jewellery_svg_escape($elegant_jewellery_icon); ?></span>
                <?php if( $elegant_jewellery_title ){ echo '<span class="post-format-label">'.esc_html( $elegant_jewellery_title ).'</span>'; } ?>
            </div>
        <?php }
    }

endif;

if ( ! function_exists( 'elegant_jewellery_svg_escape' ) ):

    /**
     * Get information about the SVG icon.
     *
     * @param string $elegant_jewellery_svg_name The name of the icon.
     * @param string $group The group the icon belongs to.
     * @param string $color Color code.
     */
    function elegant_jewellery_svg_escape( $elegant_jewellery_input ) {

        // Make sure that only our allowed tags and attributes are included.
        $elegant_jewellery_svg = wp_kses(
            $elegant_jewellery_input,
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
            )
        );

        if ( ! $elegant_jewellery_svg ) {
            return false;
        }

        return $elegant_jewellery_svg;

    }

endif;

if( !function_exists( 'elegant_jewellery_sanitize_sidebar_option_meta' ) ) :

    // Sidebar Option Sanitize.
    function elegant_jewellery_sanitize_sidebar_option_meta( $elegant_jewellery_input ){

        $elegant_jewellery_metabox_options = array( 'global-sidebar','left-sidebar','right-sidebar','no-sidebar' );
        if( in_array( $elegant_jewellery_input,$elegant_jewellery_metabox_options ) ){

            return $elegant_jewellery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'elegant_jewellery_sanitize_pagination_meta' ) ) :

    // Sidebar Option Sanitize.
    function elegant_jewellery_sanitize_pagination_meta( $elegant_jewellery_input ){

        $elegant_jewellery_metabox_options = array( 'Center','Right','Left');
        if( in_array( $elegant_jewellery_input,$elegant_jewellery_metabox_options ) ){

            return $elegant_jewellery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'elegant_jewellery_sanitize_menu_transform' ) ) :

    // Sidebar Option Sanitize.
    function elegant_jewellery_sanitize_menu_transform( $elegant_jewellery_input ){

        $elegant_jewellery_metabox_options = array( 'capitalize','uppercase','lowercase');
        if( in_array( $elegant_jewellery_input,$elegant_jewellery_metabox_options ) ){

            return $elegant_jewellery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'elegant_jewellery_sanitize_page_content_alignment' ) ) :

    // Sidebar Option Sanitize.
    function elegant_jewellery_sanitize_page_content_alignment( $elegant_jewellery_input ){

        $elegant_jewellery_metabox_options = array( 'left','center','right');
        if( in_array( $elegant_jewellery_input,$elegant_jewellery_metabox_options ) ){

            return $elegant_jewellery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'elegant_jewellery_sanitize_footer_widget_title_alignment' ) ) :

    // Footer Option Sanitize.
    function elegant_jewellery_sanitize_footer_widget_title_alignment( $elegant_jewellery_input ){

        $elegant_jewellery_metabox_options = array( 'left','center','right');
        if( in_array( $elegant_jewellery_input,$elegant_jewellery_metabox_options ) ){

            return $elegant_jewellery_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'elegant_jewellery_sanitize_pagination_type' ) ) :

    /**
     * Sanitize the pagination type setting.
     *
     * @param string $elegant_jewellery_input The input value from the Customizer.
     * @return string The sanitized value.
     */
    function elegant_jewellery_sanitize_pagination_type( $elegant_jewellery_input ) {
        // Define valid options for the pagination type.
        $elegant_jewellery_valid_options = array( 'numeric', 'newer_older' ); // Update valid options to include 'newer_older'

        // If the input is one of the valid options, return it. Otherwise, return the default option ('numeric').
        if ( in_array( $elegant_jewellery_input, $elegant_jewellery_valid_options, true ) ) {
            return $elegant_jewellery_input;
        } else {
            // Return 'numeric' as the fallback if the input is invalid.
            return 'numeric';
        }
    }

endif;


// Sanitize the enable/disable setting for pagination
if( !function_exists('elegant_jewellery_sanitize_enable_pagination') ) :
    function elegant_jewellery_sanitize_enable_pagination( $elegant_jewellery_input ) {
        return (bool) $elegant_jewellery_input;
    }
endif;

if( !function_exists( 'elegant_jewellery_sanitize_copyright_alignment_meta' ) ) :

    // Sidebar Option Sanitize.
    function elegant_jewellery_sanitize_copyright_alignment_meta( $elegant_jewellery_input ){

        $elegant_jewellery_metabox_options = array( 'Default','Reverse','Center');
        if( in_array( $elegant_jewellery_input,$elegant_jewellery_metabox_options ) ){

            return $elegant_jewellery_input;

        }else{

            return '';

        }
    }

endif;

/**
 * Sidebar Layout Function
 */
function elegant_jewellery_get_final_sidebar_layout() {
	$elegant_jewellery_defaults       = elegant_jewellery_get_default_theme_options();
	$elegant_jewellery_global_layout  = get_theme_mod('elegant_jewellery_global_sidebar_layout', $elegant_jewellery_defaults['elegant_jewellery_global_sidebar_layout']);
	$elegant_jewellery_page_layout    = get_theme_mod('elegant_jewellery_page_sidebar_layout', $elegant_jewellery_global_layout);
	$elegant_jewellery_post_layout    = get_theme_mod('elegant_jewellery_post_sidebar_layout', $elegant_jewellery_global_layout);
	$elegant_jewellery_meta_layout    = get_post_meta(get_the_ID(), 'elegant_jewellery_post_sidebar_option', true);

	if (!empty($elegant_jewellery_meta_layout) && $elegant_jewellery_meta_layout !== 'default') {
		return $elegant_jewellery_meta_layout;
	}
	if (is_page() || (function_exists('is_shop') && is_shop())) {
		return $elegant_jewellery_page_layout;
	}
	if (is_single()) {
		return $elegant_jewellery_post_layout;
	}
	return $elegant_jewellery_global_layout;
}